Package org.flowable.eventregistry.api

# Class EventConsumerInfo

java.lang.Object
org.flowable.eventregistry.api.EventConsumerInfo

public class EventConsumerInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `eventSubscriptionId`
  `protected boolean`
  `hasExistingInstancesForUniqueCorrelation`
  `protected String`
  `scopeDefinitionId`
  `protected String`
  `scopeType`
  `protected String`
  `subScopeId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventConsumerInfo()`
  `EventConsumerInfo(String eventSubscriptionId, String subScopeId, String scopeDefinitionId, String scopeType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEventSubscriptionId()`
  `String`
  `getScopeDefinitionId()`
  `String`
  `getScopeType()`
  `String`
  `getSubScopeId()`
  `boolean`
  `isHasExistingInstancesForUniqueCorrelation()`
  `void`
  `setEventSubscriptionId(String eventSubscriptionId)`
  `void`
  `setHasExistingInstancesForUniqueCorrelation(boolean hasExistingInstancesForUniqueCorrelation)`
  `void`
  `setScopeDefinitionId(String scopeDefinitionId)`
  `void`
  `setScopeType(String scopeType)`
  `void`
  `setSubScopeId(String subScopeId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### eventSubscriptionId

    protected String eventSubscriptionId

  - ### subScopeId

    protected String subScopeId

  - ### scopeDefinitionId

    protected String scopeDefinitionId

  - ### scopeType

    protected String scopeType

  - ### hasExistingInstancesForUniqueCorrelation

    protected boolean hasExistingInstancesForUniqueCorrelation

- ## Constructor Details

  - ### EventConsumerInfo

    public EventConsumerInfo()

  - ### EventConsumerInfo

    public EventConsumerInfo(String eventSubscriptionId, String subScopeId, String scopeDefinitionId, String scopeType)

- ## Method Details

  - ### getEventSubscriptionId

    public String getEventSubscriptionId()

  - ### setEventSubscriptionId

    public void setEventSubscriptionId(String eventSubscriptionId)

  - ### getSubScopeId

    public String getSubScopeId()

  - ### setSubScopeId

    public void setSubScopeId(String subScopeId)

  - ### getScopeDefinitionId

    public String getScopeDefinitionId()

  - ### setScopeDefinitionId

    public void setScopeDefinitionId(String scopeDefinitionId)

  - ### getScopeType

    public String getScopeType()

  - ### setScopeType

    public void setScopeType(String scopeType)

  - ### isHasExistingInstancesForUniqueCorrelation

    public boolean isHasExistingInstancesForUniqueCorrelation()

  - ### setHasExistingInstancesForUniqueCorrelation

    public void setHasExistingInstancesForUniqueCorrelation(boolean hasExistingInstancesForUniqueCorrelation)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`